.c-scroll-icon {
    width: 21px;
    height: 100px;
    transform: translate3d(-50%, 0%, 0);
    position: absolute;
    left: 50%;
    bottom: 0px;
    backface-visibility: hidden;
    @media (max-width: 767px) {
        bottom: -60px;
    }
    .c-scroll-icon-line-mask {
        position: relative;
        overflow: hidden;
        width: 21px;
        height: 80px;
        margin: 0 auto;
    }
    .c-scroll-icon-line {
        position: absolute;
        display: inline-block;
        width: 1px;
        height: 120px;
        border-left: 1px solid #fff;
        top: -120px;
        left: 10px;
        animation: scroll-line 3s infinite;
        transition: all cubic-bezier(0.785, 0.135, 0.15, 0.86);
    }
}

@keyframes scroll-line {
    0% {
        transform: translate3d(0, 0, 0)
    }
    40% {
        transform: translate3d(0, 185px, 0)
    }
    75% {
        transform: translate3d(0, 175px, 0)
    }
    100% {
        transform: translate3d(0, 280px, 0)
    }
}

.c-scroll-icon-triangle {
    position: relative;
    width: 20px;
    height: 30px;
    margin: -10px auto 0;
    animation: triangle-bounce 3s infinite;
}

.c-scroll-icon-triangle-mask {
    position: absolute
}

.c-scroll-icon-triangle-mask.first {
    width: 40px;
    height: 5px;
    right: 0;
    overflow: hidden
}

.c-scroll-icon-triangle-mask.right {
    width: 10px;
    height: 30px;
    overflow: hidden;
    right: 0
}

.c-scroll-icon-triangle-mask.left {
    width: 10px;
    height: 30px;
    overflow: hidden;
    left: 1
}

.c-scroll-icon-triangle-mask.last {
    width: 40px;
    height: 5px;
    overflow: hidden
}

.c-scroll-icon-triangle-line {
    position: absolute
}

.c-scroll-icon-triangle-line.first {
    border-bottom: 1px solid #fff;
    width: 30px;
    right: 0;
    animation: triangle-first 3s infinite;
    transition: all 600ms cubic-bezier(0.785, 0.135, 0.15, 0.86)
}

.c-scroll-icon-triangle-line.right {
    border-left: 1px solid #fff;
    height: 44px;
    transform: rotate(-163deg);
    right: 5px;
    top: -6px;
    animation: triangle-right 3s infinite;
    transition: all 600ms cubic-bezier(0.785, 0.135, 0.15, 0.86)
}

.c-scroll-icon-triangle-line.left {
    border-left: 1px solid #fff;
    height: 40px;
    transform: rotate(163deg);
    left: 5px;
    top: -3px;
    animation: triangle-left 3s infinite;
    transition: all 0.6s cubic-bezier(0.785, 0.135, 0.15, 0.86);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden
}

.c-scroll-icon-triangle-line.last {
    border-bottom: 1px solid #fff;
    width: 120px;
    left: 0;
    animation: triangle-last 3s infinite;
    transition: all 600ms cubic-bezier(0.785, 0.135, 0.15, 0.86)
}

@keyframes triangle-bounce {
    0% {
        transform: translate3d(0, -5px, 0)
    }
    50% {
        transform: translate3d(0, 5px, 0)
    }
    100% {
        transform: translate3d(0, -5px, 0)
    }
}

@keyframes triangle-first {
    0%,
    20% {
        transform: translate3d(-40px, 0, 0)
    }
    30%,
    80% {
        transform: translate3d(10px, 0, 0)
    }
    85%,
    100% {
        transform: translate3d(30px, 0, 0)
    }
}

@keyframes triangle-right {
    0%,
    25% {
        transform: rotate(-163deg) translate3d(0, 40px, 0)
    }
    40%,
    84% {
        transform: rotate(-163deg) translate3d(0, 0, 0)
    }
    90%,
    100% {
        transform: rotate(-163deg) translate3d(0, -37px, 0)
    }
}

@keyframes triangle-left {
    0%,
    33% {
        transform: rotate(163deg) translate3d(0, -34px, 0)
    }
    50%,
    88% {
        transform: rotate(163deg) translate3d(0, 0, 0)
    }
    95%,
    100% {
        transform: rotate(163deg) translate3d(0, 38px, 0)
    }
}

@keyframes triangle-last {
    0%,
    87.5% {
        transform: translate3d(-120px, 0, 0)
    }
    91% {
        transform: translate3d(-80px, 0, 0)
    }
    100% {
        transform: translate3d(45px, 0, 0)
    }
}

#s-txt {
    position: absolute;
    bottom: 20%;
    width: 253px;
    border-bottom: 1px solid #fff;
    padding-bottom: 7px;
    color: #666;
    z-index: 5;
    left: 7%;
    font-size: 10px;
    color: #ffffff;
    font-weight: 400;
    letter-spacing: 0.6em;
    line-height: 18px;
    text-transform: uppercase;
    font-family: "Roboto", sans-serif;
    -webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    @media (max-width: 1200px) {
        left: 0%;
        bottom: 35%;
    }
    @media (max-width: 768px) {
        left: -3%;
        bottom: 30%;
    }
    @media (max-width: 767px) {
        display: none;
        left: 30%;
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
    }
}

#s-txt1 {
    position: absolute;
    top: 15%;
    width: 215px;
    border-bottom: 1px solid #fff;
    padding-bottom: 7px;
    /* color: #666; */
    z-index: 5;
    left: 20%;
    font-size: 10px;
    color: #ffffff;
    font-weight: 400;
    letter-spacing: 0.6em;
    line-height: 18px;
    text-transform: uppercase;
    font-family: "Roboto", sans-serif;
    -webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    @media (max-width: 1200px) {
        left: 12%;
        top: 10%;
    }
    @media (max-width: 768px) {
        left: -3%;
    }
    @media (max-width: 767px) {
        left: -15%;
        top: 47%;
        font-size: 8px;
        width: 165px;
    }
}


/* Floating Social Media Bar Style Starts Here */

.fl-fl {
    // background: rgb(193 181 181 / 38%);
    border: 1px solid #fff;
    text-transform: uppercase;
    letter-spacing: 3px;
    padding: 4px;
    width: 200px;
    cursor: pointer;
    position: fixed;
    right: -160px;
    z-index: 1;
    font: normal normal 10px Arial;
    -webkit-transition: all .25s ease;
    -moz-transition: all .25s ease;
    -ms-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
}

.fa {
    font-size: 20px;
    color: #fff;
    padding: 10px 0;
    width: 35px;
    margin-left: 8px;
}

.fl-fl:hover {
    right: 0;
    transition: all .5s;
    -webkit-box-shadow: 0px 0px 13px 0px rgba(255, 255, 255, 1);
    -moz-box-shadow: 0px 0px 13px 0px rgba(255, 255, 255, 1);
    box-shadow: 0px 0px 13px 0px rgba(255, 255, 255, 1);
}

.fl-fl a {
    color: #fff !important;
    text-decoration: none;
    text-align: center;
    line-height: 43px!important;
    vertical-align: top!important;
}

.float-fb {
    top: 42%;
}

.float-tw {
    top: 45%;
}

.float-gp {
    top: 55%;
}

.slider-y2 {
    -webkit-animation: slider-y2 7s .1s infinite linear;
    animation: slider-y2 7s .1s infinite linear;
}

.main-text {
    z-index: 6;
    position: absolute;
    top: 25%;
    left: 10%;
    width: 250px;
    height: 250px;
    background: url(../images/home2/save.png);
    background-size: 100%;
    background-repeat: no-repeat;
    vertical-align: middle;
    border-radius: 50%;
    h2 {
        margin: auto;
        position: absolute;
        top: 55%;
        right: 15%;
        font-size: 41px;
        text-align: right;
        color: #fff;
        span {
            margin-top: 10%;
            margin-right: -6%;
            color: #ed1c24;
        }
        @media only screen and (max-width: 1200px) {
            font-size: 30px;
        }
        @media only screen and (max-width: 768px) {
            font-size: 26px;
        }
        @media only screen and (max-width: 601px) {
            font-size: 15px;
        }
    }
    h3 {
        position: absolute;
        right: 5%;
        bottom: -22%;
        font-size: 41px;
        color: #ed1c24;
        @media only screen and (max-width: 1200px) {
            font-size: 30px;
        }
        @media only screen and (max-width: 768px) {
            font-size: 26px;
        }
        @media only screen and (max-width: 601px) {
            font-size: 15px;
            bottom: -28%;
        }
    }
    &::before {
        content: "";
        position: absolute;
        z-index: 5;
        top: 2%;
        left: 0;
        width: 260px;
        height: 260px;
        border: 1px solid #fff;
        border-radius: 50%;
        background-color: transparent;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        -ms-border-radius: 50%;
        -o-border-radius: 50%;
        @media only screen and (max-width: 1200px) {
            left: 5%;
            width: 185px;
            height: 185px;
        }
        @media only screen and (max-width: 768px) {
            width: 165px;
            height: 165px;
        }
        @media only screen and (max-width: 601px) {
            width: 90px;
            height: 90px;
        }
    }
    @media only screen and (max-width: 1200px) {
        width: 185px;
        height: 185px;
    }
    @media only screen and (max-width: 768px) {
        top: 28%;
        left: 2%;
        width: 165px;
        height: 165px;
    }
    @media only screen and (max-width: 601px) {
        top: 28%;
        left: 2%;
        width: 90px;
        height: 90px;
        display: none;
    }
}

.coppy-right {
    position: absolute;
    z-index: 6;
    bottom: 10px;
    width: 500px;
    text-align: center;
    margin: auto;
    left: 0;
    right: 0;
    p {
        color: #000;
        font-size: 14px;
    }
    @media only screen and (max-width: 601px) {
        width: 350px;
    }
}

.scroll-down {
    position: fixed;
    z-index: 90;
    transition: transform 0.5s 1.5s, opacity 0.3s 1.7s, z-index 0.5s 1.5s;
    font-size: 3rem;
    font-family: ptsans-regular;
    text-transform: uppercase;
    bottom: 8rem;
    left: calc(50% - 15rem);
    color: #fff;
    width: 30rem;
    text-align: center;
    &.removed {
        transform: translateY(-20rem);
        opacity: 0;
        z-index: -10;
        transition: transform 0.5s, opacity 0.3s 0.2s, z-index 0.5s;
    }
    &:after {
        content: "";
        position: absolute;
        display: block;
        bottom: -3rem;
        left: calc(50% - 1.5rem);
        // width: 3rem;
        // height: 3rem;
        // border: 0.5rem solid #fff;
        border-left: none;
        border-top: none;
        transform-origin: 50% 50%;
        transform: rotate(45deg);
        animation: arrowMove 1.2s infinite;
    }
}

@keyframes arrowMove {
    to {
        transform: rotate(45deg) translateY(2rem) translateX(2rem);
        opacity: 0;
    }
}

@keyframes navArrowMove {
    to {
        transform: translateX(2rem);
        opacity: 0;
    }
}

// test ver 2
.fnc {
    // main variables, basically everything depends on $slidingAT
    $slidingAT: 1s;
    $slidingDelay: $slidingAT / 3 * 2;
    $maskAT: $slidingAT*0.7;
    $headingAT: $slidingAT * 1.5;
    $controlAT: $slidingAT/2;
    $easing: ease-in-out;
    $blendMode: luminosity;
    $contentLeft: 48%;
    $contentLeft2: 80%;
    $contentTop: 12%;
    $headingPadding: 30px;
    $headingFontSize: 45px;
    $maskTop: 5%;
    $maskRight: 100% - $contentLeft;
    $maskTop2: 50%;
    $maskRight2: 100% - $contentLeft2;
    $maskHeight: 28vh;
    $maskWidth: $maskHeight * 1;
    $maskHeight2: 12vh;
    $maskWidth2: $maskHeight2 * 1;
    $white: #fff;
    $black: #1F2833;
    /* you can add color names and their values here
    and then simply add classes like .m--blend-$colorName to .fnc-slide 
    to apply specific color for mask blend mode */
    $bgColors: ( dark: lighten(#ed1c24, 0%), green: #ed1c24, red: lighten(#ed1c24, 0%), blue: #2D7791);
    &-slider {
        overflow: hidden;
        box-sizing: border-box;
        position: relative;
        height: 100vh;
        *,
        *:before,
        *:after {
            box-sizing: border-box;
        }
        &__slides {
            position: relative;
            height: 100%;
            transition: transform $slidingAT $slidingDelay;
        }
        // iterate through color map and set colors for specific classes
        @each $colorTheme,
        $bgColor in $bgColors {
            .m--blend-#{$colorTheme} {
                .fnc-slide__inner {
                    background-color: lighten($bgColor, 20%);
                }
                .fnc-slide__mask-inner {
                    background-color: $bgColor;
                }
            }
            .m--navbg-#{$colorTheme} {
                background-color: $bgColor;
            }
        }
    }
    &-slide {
        overflow: hidden;
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        transform: translate3d(0, 0, 0);
        &.m--before-sliding {
            z-index: 2 !important;
            transform: translate3d(100%, 0, 0);
        }
        &.m--active-slide {
            z-index: 1;
            transition: transform $slidingAT $slidingDelay $easing;
            transform: translate3d(0, 0, 0);
        }
        &__inner {
            position: relative;
            height: 100%;
            background-size: cover;
            background-position: center top;
            transform: translate3d(0, 0, 0);
            .m--global-blending-active &,
            .m--blend-bg-active & {
                background-blend-mode: $blendMode;
            }
            .m--before-sliding & {
                transform: translate3d(-100%, 0, 0);
            }
            .m--active-slide & {
                transition: transform $slidingAT $slidingDelay $easing;
                transform: translate3d(0, 0, 0);
            }
        }
        &__mask {
            $activeDelay: $slidingAT + $slidingDelay/3;
            $xOffset: 200px;
            $yOffset: 0;
            $deg: 10deg;
            overflow: hidden;
            z-index: 1;
            position: absolute;
            right: $maskRight;
            top: $maskTop;
            width: $maskWidth;
            height: $maskHeight;
            margin-right: $headingPadding * -3;
            // This line basically does all magic with masking effect. Very simple and elegant. Webkit only atm.
            clip-path: polygon(0 0, 105% 0, 114% 119%, 0 101%, 0 0, 3vh 0, 3vh 65vh, 100vh 100vh, 100vh 3vh, 3vh 3vh);
            transform-origin: 50% 0;
            transition-timing-function: $easing;
            .m--before-sliding & {
                transform: rotate($deg*-1) translate3d($xOffset, 0, 0);
                opacity: 0;
            }
            .m--active-slide & {
                transition: transform $maskAT $activeDelay, opacity $maskAT/2 $activeDelay;
                transform: translate3d(0, 0, 0);
                opacity: 1;
            }
            .m--previous-slide & {
                transition: transform $maskAT $slidingDelay/2, opacity $maskAT/2 $maskAT/2 + $slidingDelay/2;
                transform: rotate($deg) translate3d($xOffset*-1, 0, 0);
                opacity: 0;
            }
            &-inner {
                z-index: -1;
                position: absolute;
                left: 50%;
                top: 50%;
                width: 100vw;
                height: 100vh;
                margin-left: -50vw;
                margin-top: -50vh;
                background-size: cover;
                background-position: center center;
                background-blend-mode: $blendMode;
                transform-origin: 50% (100vh - $maskHeight) / 2;
                transition-timing-function: $easing;
                .m--before-sliding & {
                    transform: translateY($yOffset) rotate($deg) translateX($xOffset*-1) translateZ(0);
                }
                .m--active-slide & {
                    transition: transform $maskAT $activeDelay;
                    transform: translateX(0);
                }
                .m--previous-slide & {
                    transition: transform $maskAT $slidingDelay/2;
                    transform: translateY($yOffset) rotate($deg*-1) translateX($xOffset) translateZ(0);
                }
            }
            @media only screen and (max-width: 768px) {
                right: 65%;
            }
            @media only screen and (max-width: 601px) {
                right: 65%;
            }
        }
        &__mask2 {
            $activeDelay: $slidingAT + $slidingDelay/3;
            $xOffset: 200px;
            $yOffset: 0;
            $deg: 10deg;
            overflow: hidden;
            z-index: 1;
            position: absolute;
            right: $maskRight2;
            top: $maskTop2;
            width: $maskWidth2;
            height: $maskHeight2;
            margin-right: $headingPadding * -3;
            // This line basically does all magic with masking effect. Very simple and elegant. Webkit only atm.
            // clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%, 0 0, 54vh 0, 3vh 3vh, 3vh 3vh, 3vh 3vh, 3vh 3vh);
            clip-path: polygon(0 -2%, 80% -2%, 80% 80%, -22% 80%, 0 0, -50vh 0, 100vh 80vh, 80vh 0vh, 100vh -132vh, -10vh -80vh);
            transform-origin: 50% 0;
            transition-timing-function: $easing;
            @media only screen and (max-width: 601px) {
                right: 20%;
            }
            .right .m--before-sliding & {
                transform: rotate($deg*-1) translate3d($xOffset, 0, 0);
                opacity: 0;
            }
            .m--active-slide & {
                transition: transform $maskAT $activeDelay, opacity $maskAT/2 $activeDelay;
                transform: translate3d(0, 0, 0);
                opacity: 1;
            }
            .m--previous-slide & {
                transition: transform $maskAT $slidingDelay/2, opacity $maskAT/2 $maskAT/2 + $slidingDelay/2;
                transform: rotate($deg) translate3d($xOffset*-1, 0, 0);
                opacity: 0;
            }
            &-inner {
                z-index: -1;
                position: absolute;
                left: 50%;
                top: 50%;
                width: 100vw;
                height: 100vh;
                margin-left: -50vw;
                margin-top: -50vh;
                background-size: cover;
                background-position: center center;
                background-blend-mode: $blendMode;
                transform-origin: 50% (100vh - $maskHeight) / 2;
                transition-timing-function: $easing;
                .m--before-sliding & {
                    transform: translateY($yOffset) rotate($deg) translateX($xOffset*-1) translateZ(0);
                }
                .m--active-slide & {
                    transition: transform $maskAT $activeDelay;
                    transform: translateX(0);
                }
                .m--previous-slide & {
                    transition: transform $maskAT $slidingDelay/2;
                    transform: translateY($yOffset) rotate($deg*-1) translateX($xOffset) translateZ(0);
                }
            }
        }
        &__content {
            z-index: 2;
            position: absolute;
            left: $contentLeft;
            top: $contentTop;
            @media only screen and (max-width: 768px) {
                left: 28%;
            }
            @media only screen and (max-width: 601px) {
                left: 10%;
                top: 12%;
                right: 10%;
            }
        }
        &__heading {
            margin-bottom: 12%;
            text-transform: uppercase;
            &-line {
                overflow: hidden;
                position: relative;
                padding-right: 20px;
                font-size: $headingFontSize;
                color: #fff;
                word-spacing: 10px;
                @media only screen and (max-width: 1200px) {
                    font-size: 38px;
                    left: 0%;
                    padding-right: 0px;
                }
                @media only screen and (max-width: 768px) {
                    font-size: 32px;
                    left: 0%;
                    padding-right: 0px;
                }
                @media only screen and (max-width: 601px) {
                    font-size: 25px;
                    left: 0%;
                    padding-right: 0px;
                }
                &:nth-child(2) {
                    padding-left: $headingPadding;
                }
                .m--before-sliding & {
                    transform: translateY(100%);
                }
                .m--active-slide & {
                    transition: transform $headingAT $slidingDelay*1.5;
                    transform: translateY(0);
                }
                .m--previous-slide & {
                    transition: transform $headingAT;
                    transform: translateY(-100%);
                }
                span {
                    width: 88%;
                    @media only screen and (max-width: 601px) {
                        width: 100%;
                    }
                    .m--before-sliding & {
                        transform: translateY(-100%);
                    }
                    .m--active-slide & {
                        transition: transform $headingAT $slidingDelay*1.5;
                        transform: translateY(0);
                    }
                    .m--previous-slide & {
                        transition: transform $headingAT;
                        transform: translateY(100%);
                    }
                }
            }
            @media only screen and (max-width: 601px) {
                margin-bottom: 0;
            }
        }
        &__action-btn {
            $hoverAT: 0.3s;
            $fontSize: 20px;
            $vertPadding: 5px;
            $lineHeight: $fontSize + $vertPadding*2;
            position: relative;
            margin-left: 200px;
            padding: $vertPadding 15px;
            font-size: $fontSize;
            line-height: 1;
            color: transparent;
            border: none;
            text-transform: uppercase;
            background: transparent;
            cursor: pointer;
            text-align: center;
            outline: none;
            @media only screen and (max-width: 768px) {
                margin-left: 0px;
                margin-top: 25%;
                font-size: 16px;
            }
            span {
                position: absolute;
                left: 0;
                top: 0;
                width: 100%;
                height: 100%;
                perspective: 1000px;
                transform-style: preserve-3d;
                transition: transform $hoverAT;
                transform-origin: 50% 0;
                line-height: $lineHeight;
                color: #fff;
                &:before {
                    content: "";
                    position: absolute;
                    left: 0;
                    top: 0;
                    width: 100%;
                    height: 100%;
                    border: 2px solid #fff;
                    border-top: none;
                    border-bottom: none;
                }
                &:after {
                    content: attr(data-text);
                    position: absolute;
                    left: 0;
                    top: 0;
                    width: 100%;
                    height: 100%;
                    line-height: $lineHeight;
                    background: $black;
                    opacity: 0;
                    transform-origin: 50% 0;
                    transform: translateY(100%) rotateX(-90deg);
                    transition: opacity $hoverAT/2 $hoverAT/2;
                }
            }
            &:hover span {
                transform: rotateX(90deg);
                &:after {
                    opacity: 1;
                    transition: opacity $hoverAT/2;
                }
            }
        }
    }
    &-nav {
        z-index: 5;
        position: absolute;
        right: 0;
        bottom: 40px;
        @media only screen and (max-width: 768px) {
            bottom: 80px;
        }
        &__bgs {
            z-index: -1;
            overflow: hidden;
            position: absolute;
            left: 0;
            top: 0;
            // width: 100%;
            // height: 100%;
        }
        &__bg {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            &.m--nav-bg-before {
                z-index: 2 !important;
                transform: translateX(100%);
            }
            &.m--active-nav-bg {
                z-index: 1;
                transition: transform $slidingAT $slidingDelay;
                transform: translateX(0);
            }
        }
        &__controls {
            font-size: 0;
        }
        &__control {
            $controlWidth: 180px;
            overflow: hidden;
            position: relative;
            display: inline-block;
            vertical-align: top;
            width: $controlWidth;
            height: $controlWidth;
            margin: 10px;
            border-radius: 50%;
            font-size: 14px;
            color: #fff;
            text-transform: uppercase;
            border: none;
            outline: none;
            cursor: pointer;
            transition: background-color $controlAT;
            &.m--active-control {
                background: $white !important;
                a {
                    color: #ed1c24 !important;
                    font-weight: bold;
                }
            }
            &-progress {
                position: absolute;
                left: 0;
                bottom: 0;
                width: 100%;
                height: 2px;
                background: #ed1c24;
                transform-origin: 0 50%;
                transform: scaleX(0);
                transition-timing-function: linear !important;
                .m--with-autosliding .m--active-control & {
                    transform: scaleX(1);
                }
                .m--prev-control & {
                    transform: translateX(100%);
                    transition: transform 0.5s !important;
                }
                .m--reset-progress & {
                    transform: scaleX(0);
                    transition: transform 0s 0s !important;
                }
                .m--autosliding-blocked & {
                    transition: all 0s 0s !important;
                    transform: scaleX(0) !important;
                }
            }
            @media only screen and (max-width: 768px) {
                width: 150px;
                height: 150px;
                a {
                    font-size: 12px;
                }
            }
            @media only screen and (max-width: 601px) {
                width: 110px;
                height: 110px;
                margin: 6px;
                a {
                    font-size: 10px;
                }
            }
        }
    }
}


/* NOT PART OF COMMON SLIDER STYLES */

$font: Roboto-Regular;
$creditsAT: 0.7s;
$creditsWidth: 400px;
body {
    margin: 0;
}

.demo-cont {
    overflow: hidden;
    position: relative;
    height: 100vh;
    perspective: 1500px;
    background: #000;
    &__credits {
        box-sizing: border-box;
        overflow-y: auto;
        z-index: 1;
        position: absolute;
        right: 0;
        top: 0;
        width: $creditsWidth;
        height: 100%;
        padding: 20px 10px 30px;
        background: #303030;
        font-family: $font;
        color: #fff;
        text-align: center;
        transition: transform $creditsAT;
        transform: translate3d(100%, 0, 0) rotateY(-45deg);
        will-change: transform;
        .credits-active & {
            transition: transform $creditsAT $creditsAT/3;
            transform: translate3d(0, 0, 0);
        }
        *,
        *:before,
        *:after {
            box-sizing: border-box;
        }
        &-close {
            position: absolute;
            right: 20px;
            top: 20px;
            width: 28px;
            height: 28px;
            cursor: pointer;
            &:before,
            &:after {
                content: "";
                position: absolute;
                left: 0;
                top: 50%;
                width: 100%;
                height: 2px;
                margin-top: -1px;
                background: #fff;
            }
            &:before {
                transform: rotate(45deg);
            }
            &:after {
                transform: rotate(-45deg);
            }
        }
        &-heading {
            text-transform: uppercase;
            font-size: 40px;
            margin-bottom: 20px;
        }
        &-img {
            display: block;
            width: 60%;
            margin: 0 auto 30px;
            border-radius: 10px;
        }
        &-name {
            margin-bottom: 20px;
            font-size: 30px;
        }
        &-link {
            display: block;
            margin-bottom: 10px;
            font-size: 24px;
            color: #fff;
        }
        &-blend {
            font-size: 30px;
            margin-bottom: 10px;
        }
    }
}

.example-slider {
    z-index: 2;
    transform: translate3d(0, 0, 0);
    transition: transform $creditsAT;
    .credits-active & {
        transform: translate3d($creditsWidth*-1, 0, 0) rotateY(10deg) scale(0.9);
    }
    .fnc-slide {
        &-1 {
            .fnc-slide__inner,
            .fnc-slide__mask-inner {
                background-image: url('../images/home2/bg-home1.jpg');
            }
        }
        &-2 {
            .fnc-slide__inner,
            .fnc-slide__mask-inner {
                background-image: url('../images/home2/bg-home2.jpg');
            }
        }
        &-3 {
            .fnc-slide__inner,
            .fnc-slide__mask-inner {
                background-image: url('../images/home2/bg-home3.jpg');
            }
            .fnc-slide__inner:before {
                content: "";
                position: absolute;
                left: 0;
                top: 0;
                width: 100%;
                height: 100%;
                background: rgba(255, 255, 255, 0.1);
            }
        }
    }
    .fnc-slide__heading,
    .fnc-slide__action-btn,
    .fnc-nav__control {
        font-family: $font;
        a {
            color: #fff;
            &:hover {
                color: #000;
                font-weight: bold;
            }
        }
    }
    .fnc-nav__control {
        &-1 {
            background-image: url('../images/home2/bg-home1.jpg');
            background-repeat: no-repeat;
            background-size: cover;
        }
        &-2 {
            background-image: url('../images/home2/bg-home2.jpg');
            background-repeat: no-repeat;
            background-size: cover;
        }
        &-3 {
            background-image: url('../images/home2/bg-home3.jpg');
            background-repeat: no-repeat;
            background-size: cover;
        }
    }
}


/* COLORFUL SWITCH STYLES 
     ORIGINAL DEMO - https://codepen.io/suez/pen/WQjwOb */

$w: 180px;
$_baseW: 280;
$h: $w * 120 / $_baseW;
$br: $w * 50 / $_baseW;
$outerOffset: 5px;
$animTime: 0.5s;
$dotS: $w * 8 / $_baseW;
$dotLeft: $w * 204 / $_baseW;
$dotLeftOffset: $w * -125 / $_baseW;
$offS: $w * 64 / $_baseW;
$onLeft: $w * 162 / $_baseW;
$onTop: $w * 35 / $_baseW;
$onWidth: $w * 30 / $_baseW;
$onHeight: $w * 56 / $_baseW;
$cubIn: cubic-bezier(.52,
-0.96,
.51,
1.28);
$cubOut: cubic-bezier(.67,
-0.16,
.47,
1.61);
@mixin switchOn() {
    .colorful-switch__checkbox:checked~.colorful-switch__label & {
        @content;
    }
}

.colorful-switch {
    position: relative;
    width: $w;
    height: $h;
    margin: 0 auto;
    border-radius: $br;
    background: #cfcfcf;
    &:before {
        content: "";
        z-index: -1;
        position: absolute;
        left: -$outerOffset;
        top: -$outerOffset;
        width: $w + $outerOffset*2;
        height: $h + $outerOffset*2;
        border-radius: $br + $outerOffset;
        background: #314239;
        transition: background-color 0.3s;
    }
    &:hover:before {
        background: #4C735F;
    }
    &__checkbox {
        z-index: -10;
        position: absolute;
        left: 0;
        top: 0;
        opacity: 0;
    }
    &__label {
        z-index: 1;
        overflow: hidden;
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        border-radius: $br;
        cursor: pointer;
    }
    &__bg {
        position: absolute;
        left: 0;
        top: 0;
        width: $w * 3;
        height: 100%;
        background: linear-gradient(90deg, #14DCD6 0, #10E7BD $w, #EF9C29 $w*2, #E76339 100%);
        transition: transform $animTime;
        transform: translate3d($w*-2, 0, 0);
        @include switchOn {
            transform: translate3d(0, 0, 0);
        }
    }
    &__dot {
        position: absolute;
        left: $dotLeft;
        top: 50%;
        width: $dotS;
        height: $dotS;
        margin-left: $dotS/-2;
        margin-top: $dotS/-2;
        border-radius: 50%;
        background: #fff;
        transition: transform $animTime;
        transform: translate3d(0, 0, 0);
        @include switchOn {
            transform: translate3d($dotLeftOffset, 0, 0);
        }
    }
    &__on {
        position: absolute;
        left: $onLeft;
        top: $onTop;
        width: $onWidth;
        height: $onHeight;
        transition: transform $animTime;
        transform: translate3d(0, 0, 0);
        @include switchOn {
            transform: translate3d($dotLeftOffset, 0, 0);
        }
        &__inner {
            position: absolute;
            width: 100%;
            height: 100%;
            transition: transform $animTime/2 0s $cubIn;
            transform-origin: 100% 50%;
            transform: rotate(45deg) scale(0) translateZ(0);
            @include switchOn {
                transition: transform $animTime/2 $animTime/2 $cubOut;
                transform: rotate(45deg) scale(1) translateZ(0);
            }
            &:before,
            &:after {
                content: "";
                position: absolute;
                border-radius: $dotS/2;
                background: #fff;
            }
            &:before {
                left: 0;
                bottom: 0;
                width: 100%;
                height: $dotS+1px;
            }
            &:after {
                right: 0;
                top: 0;
                width: $dotS+1px;
                height: 100%;
            }
        }
    }
    &__off {
        position: absolute;
        left: $dotLeft;
        top: 50%;
        width: $offS;
        height: $offS;
        margin-left: $offS/-2;
        margin-top: $offS/-2;
        transition: transform $animTime;
        transform: translate3d(0, 0, 0);
        @include switchOn {
            transform: translate3d($dotLeftOffset, 0, 0);
        }
        &:before,
        &:after {
            content: "";
            position: absolute;
            left: 0;
            top: 50%;
            width: 100%;
            height: $dotS;
            margin-top: $dotS/-2;
            border-radius: $dotS/2;
            background: #fff;
            transition: transform $animTime/2 $animTime/2;
            @include switchOn {
                transition-delay: 0s;
            }
        }
        &:before {
            transform: rotate(45deg) scaleX(1) translateZ(0);
            @include switchOn {
                transform: rotate(45deg) scaleX(0) translateZ(0);
            }
        }
        &:after {
            transition-timing-function: $cubOut;
            transform: rotate(-45deg) scaleX(1) translateZ(0);
            @include switchOn {
                transition-timing-function: ease;
                transform: rotate(-45deg) scaleX(0) translateZ(0);
            }
        }
    }
}